LLM API Keys
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
List of enabled services
GET /api/v2/api/llm/services HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
List of enabled services
[]Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
List of models for the service
Missing serviceId
GET /api/v2/api/llm/models/{serviceId} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
[]Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
The id of a LLM model
3Model updated successfully
SuccessMissing id or modelId
API key or model not found
PUT /api/v2/api/llm/{id}/model HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"modelId": "3"
}{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
List of user's API keys
GET /api/v2/api/llm HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
List of user's API keys
[]Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
The name of the API key max 255 characters
My API KeyThe id of a LLM service
1The id of a LLM model
5745c547aSBp89bs450fb1dfacf86af8ed32API key created successfully
SuccessMissing required fields or invalid API key
Service or model not found
POST /api/v2/api/llm HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 98
{
"name": "My API Key",
"serviceId": "1",
"modelId": "5",
"apiKey": "745c547aSBp89bs450fb1dfacf86af8ed32"
}{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
API key deleted successfully
DeletedMissing id or API key is in use
DELETE /api/v2/api/llm/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
DeletedLast updated